using Android.Content;
using Android.Graphics.Drawables;
using GMCabsDriverAssistantSolution.CustomControls;
using GMCabsDriverAssistantSolution.Platforms.Android.CustomRenderer;
using Microsoft.Maui.Controls.Compatibility;
using Microsoft.Maui.Controls.Compatibility.Platform.Android;
using Microsoft.Maui.Controls.Platform;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

[assembly: ExportRenderer(typeof(NoUnderlineEntry), typeof(NoUnderlineEntryRenderer))]
namespace GMCabsDriverAssistantSolution.Platforms.Android.CustomRenderer
{
    public class NoUnderlineEntryRenderer : EntryRenderer
    {
        public NoUnderlineEntryRenderer(Context context) : base(context)
        {
            AutoPackage = false;
        }
        protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        {
            base.OnElementChanged(e);
            if (Control != null)
            {
                Control.Background = new ColorDrawable(global::Android.Graphics.Color.Transparent);
            }
        }
    }
}
